<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';

	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();
	public $parent_slug;
	/**
	 * Constructor
	 *
	 * @param $legal_services_firm_config	Our config parameters
	*/
	public function __construct( $legal_services_firm_config ) {
		$this->set_vars( $legal_services_firm_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $legal_services_firm_config	Our config parameters
	*/
	public function set_vars( $legal_services_firm_config ) {
		if( isset( $legal_services_firm_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $legal_services_firm_config['page_slug'] );
		}
		if( isset( $legal_services_firm_config['page_title'] ) ) {
			$this->page_title = esc_attr( $legal_services_firm_config['page_title'] );
		}
		if( isset( $legal_services_firm_config['steps'] ) ) {
			$this->config_steps = $legal_services_firm_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'legal_services_firm_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'legal-services-firm' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'legal_services_firm_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'legal-services-firm' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'legal-services-firm' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'legal-services-firm' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$legal_services_firm_id = $dev_step['id'];
					if( isset( $steps[$legal_services_firm_id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$legal_services_firm_id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Legal Services Firm Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','legal-services-firm'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','legal-services-firm'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=legal-services-firm-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Legal Services Firm','legal-services-firm') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','legal-services-firm') ?></a>
				<a href="" class="wz-btn-builder" target="_blank"><?php esc_html_e('Customize Your Demo','legal-services-firm'); ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','legal-services-firm'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','legal-services-firm'); ?></a>
			</div>
		</div>

	<?php }

	//................................................. MENUS .................................................//
		
	public function legal_services_firm_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$legal_services_firm_themename = 'Legal Services Firm'; // Ensure the theme name is set
		$legal_services_firm_menuname = $legal_services_firm_themename . ' Primary Menu';
		$legal_services_firm_menulocation = 'menu-1';
		$legal_services_firm_menu_exists = wp_get_nav_menu_object($legal_services_firm_menuname);

		if (!$legal_services_firm_menu_exists) {
			$legal_services_firm_menu_id = wp_create_nav_menu($legal_services_firm_menuname);

			// Home
			wp_update_nav_menu_item($legal_services_firm_menu_id, 0, array(
				'menu-item-title' => __('Home', 'legal-services-firm'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$legal_services_firm_page_about = get_page_by_path('about');
			if($legal_services_firm_page_about){
				wp_update_nav_menu_item($legal_services_firm_menu_id, 0, array(
					'menu-item-title' => __('About', 'legal-services-firm'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($legal_services_firm_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$legal_services_firm_page_services = get_page_by_path('services');
			if($legal_services_firm_page_services){
				wp_update_nav_menu_item($legal_services_firm_menu_id, 0, array(
					'menu-item-title' => __('Services', 'legal-services-firm'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($legal_services_firm_page_services),
					'menu-item-status' => 'publish'
				));
			}

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Projects', 'legal-services-firm' ),
				'menu-item-url'    => '#',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Pages', 'legal-services-firm' ),
				'menu-item-url'    => '#',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Lawyers', 'legal-services-firm' ),
				'menu-item-url'    => '#',
				'menu-item-status' => 'publish',
			) );

			// Blog
			$legal_services_firm_page_blog = get_page_by_path('blog');
			if($legal_services_firm_page_blog){
				wp_update_nav_menu_item($legal_services_firm_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'legal-services-firm'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($legal_services_firm_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$legal_services_firm_page_contact = get_page_by_path('contact');
			if($legal_services_firm_page_contact){
				wp_update_nav_menu_item($legal_services_firm_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'legal-services-firm'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($legal_services_firm_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($legal_services_firm_menulocation)) {
				$legal_services_firm_locations = get_theme_mod('nav_menu_locations');
				$legal_services_firm_locations[$legal_services_firm_menulocation] = $legal_services_firm_menu_id; // Use $legal_services_firm_menu_id here
				set_theme_mod('nav_menu_locations', $legal_services_firm_locations);
			}
		}
	}

	public function legal_services_firm_customizer_nav_social_menu() {

		// ------- Create Social Menu --------
		$legal_services_firm_menuname = $legal_services_firm_themename . 'Social Menu';
		$legal_services_firm_menulocation = 'social-menu';
		$legal_services_firm_menu_exists = wp_get_nav_menu_object( $legal_services_firm_menuname );

		if( !$legal_services_firm_menu_exists){
			$legal_services_firm_menu_id = wp_create_nav_menu($legal_services_firm_menuname);

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'legal-services-firm' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'legal-services-firm' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'legal-services-firm' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'legal-services-firm' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $legal_services_firm_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'legal-services-firm' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $legal_services_firm_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$legal_services_firm_menulocation] = $legal_services_firm_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
			$legal_services_firm_home_id='';
			$legal_services_firm_home_content = '';

			$legal_services_firm_home_title = 'Home';
			$legal_services_firm_home = array(
					'post_type' => 'page',
					'post_title' => $legal_services_firm_home_title,
					'post_content'  => $legal_services_firm_home_content,
					'post_status' => 'publish',
					'post_author' => 1,
					'post_slug' => 'home'
			);
			$legal_services_firm_home_id = wp_insert_post($legal_services_firm_home);

			//Set the home page template
			add_post_meta( $legal_services_firm_home_id, '_wp_page_template', 'revolution-home.php' );

			//Set the static front page
			$legal_services_firm_home = get_page_by_title( 'Home' );
			update_option( 'page_on_front', $legal_services_firm_home->ID );
			update_option( 'show_on_front', 'page' );


			// Create a posts page and assign the template
			$legal_services_firm_blog_title = 'Blog';
			$legal_services_firm_blog_check = get_page_by_path('blog');
			if (!$legal_services_firm_blog_check) {
				$legal_services_firm_blog = array(
					'post_type'    => 'page',
					'post_title'   => $legal_services_firm_blog_title,
					'post_status'  => 'publish',
					'post_author'  => 1,
					'post_name'    => 'blog' // Unique slug for the blog page
				);
				$legal_services_firm_blog_id = wp_insert_post($legal_services_firm_blog);

				// Set the posts page
				if (!is_wp_error($legal_services_firm_blog_id)) {
					update_option('page_for_posts', $legal_services_firm_blog_id);
				}
			}

			// Create a Contact Us page and assign the template
			$legal_services_firm_contact_title = 'Contact Us';
			$legal_services_firm_contact_check = get_page_by_path('contact');
			if (!$legal_services_firm_contact_check) {
				$legal_services_firm_contact = array(
					'post_type'    => 'page',
					'post_title'   => $legal_services_firm_contact_title,
					'post_content'   => '"More About The Free Legal WordPress Theme"
										The Free Legal WordPress Theme is meticulously designed to offer law firms, attorneys, and legal advisors a highly interactive and engaging digital presence. Featuring a clean, minimalistic layout, it exudes professionalism and credibility, fostering trust among clients. The theme is fully customizable, allowing users to effortlessly modify colors, fonts, layouts, and content to align with their branding. Strategically placed banners highlight key legal services, guiding visitors seamlessly through the site and ensuring they find relevant information with ease. The intuitive navigation menu further enhances user experience, making the site both user-friendly and accessible. Additionally, the theme is built with optimized code, ensuring faster page load times and smooth performance across all devices. Whether you specialize in legal consultation, representation, or compliance, this theme provides a robust foundation for your legal practice’s online success.

										This theme is packed with essential features tailored specifically for legal professionals, ensuring a seamless and highly functional online presence. It includes an intuitive legal case management system, allowing law firms to showcase past cases, success stories, and client testimonials to build trust and credibility. The built-in blog section enables lawyers to share legal updates, industry news, and valuable insights, helping them establish authority and engage with their audience. Additionally, the theme supports legal compliance software integration, making it ideal for firms that require efficient documentation, case tracking, and management systems. With strategically designed sections for legal services, team profiles, and client consultations, it ensures easy navigation and a professional look. Whether handling legal disputes, contracts, or compliance matters, this theme offers the perfect blend of functionality and aesthetics to elevate a law firm’s digital presence.

										A major advantage of this theme is its mobile-friendly and retina-ready design, ensuring crisp visuals and a seamless browsing experience across all devices, including smartphones, tablets, and desktops. Its responsive nature guarantees that legal professionals can reach potential clients anytime, anywhere, without compromising on quality or functionality. Law firms also benefit from integrated social media features, enabling seamless connections with clients through platforms like LinkedIn, Twitter, and Facebook, expanding their digital reach. The strategically placed call-to-action (CTA) buttons encourage visitors to take immediate action, whether scheduling a consultation, requesting legal assistance, or exploring legal services. Additionally, the theme\'s modern and elegant design conveys professionalism and trust, making it the perfect choice for attorneys, law firms, and legal consultants seeking to establish a strong online presence.',
					'post_status'  => 'publish',
					'post_author'  => 1,
					'post_name'    => 'contact' // Unique slug for the Contact Us page
				);
				wp_insert_post($legal_services_firm_contact);
			}

			// Create a About page and assign the template
			$legal_services_firm_about_title = 'About';
			$legal_services_firm_about_check = get_page_by_path('about');
			if (!$legal_services_firm_about_check) {
				$legal_services_firm_about = array(
					'post_type'    => 'page',
					'post_title'   => $legal_services_firm_about_title,
					'post_content'   => '"More About The Free Legal WordPress Theme"
										The Free Legal WordPress Theme is meticulously designed to offer law firms, attorneys, and legal advisors a highly interactive and engaging digital presence. Featuring a clean, minimalistic layout, it exudes professionalism and credibility, fostering trust among clients. The theme is fully customizable, allowing users to effortlessly modify colors, fonts, layouts, and content to align with their branding. Strategically placed banners highlight key legal services, guiding visitors seamlessly through the site and ensuring they find relevant information with ease. The intuitive navigation menu further enhances user experience, making the site both user-friendly and accessible. Additionally, the theme is built with optimized code, ensuring faster page load times and smooth performance across all devices. Whether you specialize in legal consultation, representation, or compliance, this theme provides a robust foundation for your legal practice’s online success.

										This theme is packed with essential features tailored specifically for legal professionals, ensuring a seamless and highly functional online presence. It includes an intuitive legal case management system, allowing law firms to showcase past cases, success stories, and client testimonials to build trust and credibility. The built-in blog section enables lawyers to share legal updates, industry news, and valuable insights, helping them establish authority and engage with their audience. Additionally, the theme supports legal compliance software integration, making it ideal for firms that require efficient documentation, case tracking, and management systems. With strategically designed sections for legal services, team profiles, and client consultations, it ensures easy navigation and a professional look. Whether handling legal disputes, contracts, or compliance matters, this theme offers the perfect blend of functionality and aesthetics to elevate a law firm’s digital presence.

										A major advantage of this theme is its mobile-friendly and retina-ready design, ensuring crisp visuals and a seamless browsing experience across all devices, including smartphones, tablets, and desktops. Its responsive nature guarantees that legal professionals can reach potential clients anytime, anywhere, without compromising on quality or functionality. Law firms also benefit from integrated social media features, enabling seamless connections with clients through platforms like LinkedIn, Twitter, and Facebook, expanding their digital reach. The strategically placed call-to-action (CTA) buttons encourage visitors to take immediate action, whether scheduling a consultation, requesting legal assistance, or exploring legal services. Additionally, the theme\'s modern and elegant design conveys professionalism and trust, making it the perfect choice for attorneys, law firms, and legal consultants seeking to establish a strong online presence.',
					'post_status'  => 'publish',
					'post_author'  => 1,
					'post_name'    => 'about' // Unique slug for the About page
				);
				wp_insert_post($legal_services_firm_about);
			}

			// Create a Services page and assign the template
			$legal_services_firm_services_title = 'Services';
			$legal_services_firm_services_check = get_page_by_path('services');
			if (!$legal_services_firm_services_check) {
				$legal_services_firm_services = array(
					'post_type'    => 'page',
					'post_title'   => $legal_services_firm_services_title,
					'post_content'   => '"More About The Free Legal WordPress Theme"
										The Free Legal WordPress Theme is meticulously designed to offer law firms, attorneys, and legal advisors a highly interactive and engaging digital presence. Featuring a clean, minimalistic layout, it exudes professionalism and credibility, fostering trust among clients. The theme is fully customizable, allowing users to effortlessly modify colors, fonts, layouts, and content to align with their branding. Strategically placed banners highlight key legal services, guiding visitors seamlessly through the site and ensuring they find relevant information with ease. The intuitive navigation menu further enhances user experience, making the site both user-friendly and accessible. Additionally, the theme is built with optimized code, ensuring faster page load times and smooth performance across all devices. Whether you specialize in legal consultation, representation, or compliance, this theme provides a robust foundation for your legal practice’s online success.

										This theme is packed with essential features tailored specifically for legal professionals, ensuring a seamless and highly functional online presence. It includes an intuitive legal case management system, allowing law firms to showcase past cases, success stories, and client testimonials to build trust and credibility. The built-in blog section enables lawyers to share legal updates, industry news, and valuable insights, helping them establish authority and engage with their audience. Additionally, the theme supports legal compliance software integration, making it ideal for firms that require efficient documentation, case tracking, and management systems. With strategically designed sections for legal services, team profiles, and client consultations, it ensures easy navigation and a professional look. Whether handling legal disputes, contracts, or compliance matters, this theme offers the perfect blend of functionality and aesthetics to elevate a law firm’s digital presence.

										A major advantage of this theme is its mobile-friendly and retina-ready design, ensuring crisp visuals and a seamless browsing experience across all devices, including smartphones, tablets, and desktops. Its responsive nature guarantees that legal professionals can reach potential clients anytime, anywhere, without compromising on quality or functionality. Law firms also benefit from integrated social media features, enabling seamless connections with clients through platforms like LinkedIn, Twitter, and Facebook, expanding their digital reach. The strategically placed call-to-action (CTA) buttons encourage visitors to take immediate action, whether scheduling a consultation, requesting legal assistance, or exploring legal services. Additionally, the theme\'s modern and elegant design conveys professionalism and trust, making it the perfect choice for attorneys, law firms, and legal consultants seeking to establish a strong online presence.',
					'post_status'  => 'publish',
					'post_author'  => 1,
					'post_name'    => 'services' // Unique slug for the Services page
				);
				wp_insert_post($legal_services_firm_services);
			}


		//................................................. HEADER SECTION .................................................//

			set_theme_mod( 'legal_services_firm_header_info_phone','+00 123 456 7890');
			set_theme_mod( 'legal_services_firm_header_info_email','lawyer1245@example.com');
			set_theme_mod( 'legal_services_firm_facebook_link_option','#');
			set_theme_mod( 'legal_services_firm_twitter_link_option','#');
			set_theme_mod( 'legal_services_firm_instagram_link_option','#');
			set_theme_mod( 'legal_services_firm_linked_link_option','#');
			set_theme_mod( 'legal_services_firm_pinterest_link_option','#');
			set_theme_mod( 'legal_services_firm_youtube_link_option','#');
		
			
		//................................................. SLIDER SECTION .................................................//

			set_theme_mod( 'legal_services_firm_header_search',true);
			set_theme_mod( 'legal_services_firm_enable_slider',1);
			set_theme_mod( 'legal_services_firm_enable_project',1);
			
			for($legal_services_firm_i=1;$legal_services_firm_i<=3;$legal_services_firm_i++){
				set_theme_mod( 'legal_services_firm_slider_image'.$legal_services_firm_i,get_template_directory_uri().'/revolution/assets/images/slider'.$legal_services_firm_i.'.png' );
				set_theme_mod( 'legal_services_firm_slider_top_text'.$legal_services_firm_i, 'Legal Service' );
				set_theme_mod( 'legal_services_firm_slider_heading'.$legal_services_firm_i, 'Top Quality Service & Legal Services' );
				set_theme_mod( 'legal_services_firm_slider_text'.$legal_services_firm_i, 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.' );
				set_theme_mod( 'legal_services_firm_slider_button1_text'.$legal_services_firm_i, 'Back An Appointment' );
				set_theme_mod( 'legal_services_firm_slider_button1_link'.$legal_services_firm_i, '#' );
				set_theme_mod( 'legal_services_firm_slider_button2_text'.$legal_services_firm_i, 'Discover More' );
				set_theme_mod( 'legal_services_firm_slider_button2_link'.$legal_services_firm_i, '#' );
			}


		// ------------------------------------------ About Section -------------------------------------- //

			for ( $legal_services_firm_i = 1; $legal_services_firm_i <= 4; $legal_services_firm_i++ ) {
				// Lawyer Image
				set_theme_mod( "legal_services_firm_add_team_lawyer_image{$legal_services_firm_i}", get_template_directory_uri() . "/revolution/assets/images/lawyer{$legal_services_firm_i}.png" );
			
				// Lawyer Name, Designation, Details
				set_theme_mod( "legal_services_firm_add_lawyer_name{$legal_services_firm_i}", "Lawyer Name {$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_add_lawyer_designation{$legal_services_firm_i}", "Managing Partners" );
				set_theme_mod( "legal_services_firm_add_lawyer_details{$legal_services_firm_i}", "Lorem ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged." );
			
				// Contact Info
				set_theme_mod( "legal_services_firm_lawyer_contact_phone{$legal_services_firm_i}", "+123456789{$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_lawyer_contact_email{$legal_services_firm_i}", "lawyer{$legal_services_firm_i}@example.com" );
			
				// Case Solve Percentage
				set_theme_mod( "legal_services_firm_case_solve_percentage{$legal_services_firm_i}", rand(75, 98) );
			
				// Appointment Button
				set_theme_mod( "legal_services_firm_book_appointement_btn_text{$legal_services_firm_i}", "Book An Appointment" );
				set_theme_mod( "legal_services_firm_book_appointement_btn_link{$legal_services_firm_i}", "#{$legal_services_firm_i}" );
			
				// Social Links
				set_theme_mod( "legal_services_firm_serv_facebook_url{$legal_services_firm_i}", "https://facebook.com/{$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_serv_twitter_url{$legal_services_firm_i}", "https://twitter.com/{$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_serv_youtube_url{$legal_services_firm_i}", "https://youtube.com/{$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_serv_insta_url{$legal_services_firm_i}", "https://instagram.com/{$legal_services_firm_i}" );
				set_theme_mod( "legal_services_firm_serv_linkedin_url{$legal_services_firm_i}", "https://linkedin.com/in/{$legal_services_firm_i}" );
			}
			
			// Section Headings (shown at the top)
			set_theme_mod( 'legal_services_firm_project_short_heading', 'Best Legal Teams' );
			set_theme_mod( 'legal_services_firm_project_heading', 'Highly Qualified Teams' );
			



		$this->legal_services_firm_customizer_nav_menu();
		$this->legal_services_firm_customizer_nav_social_menu();
	}

	public function legal_services_firm_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'legal-services-firm' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Legal Services Firm', 'legal-services-firm' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'legal-services-firm'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/law-firm-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'legal-services-firm'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}